Create or update additional question
POST
/v2/additional-questions
const url = 'https://api-crm-staging.divinea.com/api/v2/additional-questions';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"answerType":"example","id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","options":[{"id":1,"sortOrder":1,"texts":{"additionalProperty":"example"}}],"texts":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v2/additional-questions \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "answerType": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "options": [ { "id": 1, "sortOrder": 1, "texts": { "additionalProperty": "example" } } ], "texts": { "additionalProperty": "example" } }'Authorizations
Sezione intitolata “Authorizations”Request Body
Sezione intitolata “Request Body”Request
Media typeapplication/json
UpsertQuestionRequest
object
answerType
string
id
string format: uuid
options
Array<object>
OptionInputobject
id
integer format: int64
sortOrder
integer format: int32
texts
object
key
additional properties
string
texts
object
key
additional properties
string
Examplegenerated
{ "answerType": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "options": [ { "id": 1, "sortOrder": 1, "texts": { "additionalProperty": "example" } } ], "texts": { "additionalProperty": "example" }}Responses
Sezione intitolata “Responses”OK
Media type*/*
CreationResponse
object
id
string
message
string
status
string